Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Null_Mutex Class Reference

Implement a do nothing , i.e., all the methods are no ops. More...

`#include <Synch.h>`

Inheritance diagram for ACE_Null_Mutex

[legend]
List of all members.

## Public Methods
| ACE_Null_Mutex (const ACE_TCHAR * = 0)
| ~ACE_Null_Mutex (void)
int | remove (void)
| Return 0.
int | acquire (void)
| Return 0.
int | acquire (ACE_Time_Value &timeout)
| Return -1 with <errno> == <ETIME>.
int | acquire (ACE_Time_Value *timeout)
| Return -1 with <errno> == <ETIME>.
int | tryacquire (void)
| Return 0.
int | release (void)
| Return 0.
int | acquire_write (void)
| Return 0.
int | tryacquire_write (void)
| Return 0.
int | tryacquire_write_upgrade (void)
| Return 0.
int | acquire_read (void)
| Return 0.
int | tryacquire_read (void)
| Return 0.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

Implement a do nothing , i.e., all the methods are no ops.

## Constructor & Destructor Documentation

ACE_INLINE ACE_Null_Mutex::ACE_Null_Mutex ( | const ACE_TCHAR * = 0 )

ACE_INLINE ACE_Null_Mutex::~ACE_Null_Mutex ( | void )

## Member Function Documentation

ACE_INLINE int ACE_Null_Mutex::acquire ( | ACE_Time_Value * timeout )

| Return -1 with <errno> == <ETIME>.

ACE_INLINE int ACE_Null_Mutex::acquire ( | ACE_Time_Value & timeout )

| Return -1 with <errno> == <ETIME>.

ACE_INLINE int ACE_Null_Mutex::acquire ( | void )

| Return 0.

ACE_INLINE int ACE_Null_Mutex::acquire_read ( | void )

| Return 0.

ACE_INLINE int ACE_Null_Mutex::acquire_write ( | void )

| Return 0.

ACE_INLINE void ACE_Null_Mutex::dump ( | void ) const

| Dump the state of an object. Reimplemented in ACE_Noop_Token.

ACE_INLINE int ACE_Null_Mutex::release ( | void )

| Return 0.

ACE_INLINE int ACE_Null_Mutex::remove ( | void )

| Return 0.

ACE_INLINE int ACE_Null_Mutex::tryacquire ( | void )

| Return 0.

ACE_INLINE int ACE_Null_Mutex::tryacquire_read ( | void )

| Return 0.

ACE_INLINE int ACE_Null_Mutex::tryacquire_write ( | void )

| Return 0.

ACE_INLINE int ACE_Null_Mutex::tryacquire_write_upgrade ( | void )

| Return 0.

## Member Data Documentation

ACE_Null_Mutex::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented in ACE_Noop_Token.

The documentation for this class was generated from the following files:

- Synch.h
- Synch.i